import * as dotenv from 'dotenv';

dotenv.config({
  path: './config/.env',
});

import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { LoggingInterceptor } from './common/interceptor/logging.interceptor';
const PORT = process.env.NODE_ENV === 'container' ? 8080 : 4000;

async function bootstrap() {
  const app = await NestFactory.create(AppModule);
  app.useGlobalInterceptors(app.get(LoggingInterceptor));
  await app.listen(PORT);
  console.log(`Application is running on: ${await app.getUrl()}`);
}

bootstrap().catch((err) => {
  console.error('bootstrap error', err);
});
