import { workflow } from '@novu/framework';
import { z } from 'zod';

export const loginSuccessWorkflow = workflow(
  'login-success-workflow',
  async ({ step }) => {
    await step.inApp(
      'send-login-success-notification',
      () => {
        return {
          subject: '登录成功',
          body: '欢迎使用【壹向RMS】餐厅经营系统！',
        };
      },
      {
        controlSchema: z.object({
          content: z.string().default('登录成功提醒通知'),
        }),
      },
    );
  },
  {
    payloadSchema: z.object({}),
  },
);
