import { workflow } from '@novu/framework';
import { z } from 'zod';

export const networkErrorWorkflow = workflow(
  'network-error-workflow',
  async ({ step }) => {
    await step.inApp(
      'send-network-error-notification',
      () => {
        return {
          subject: '网络连接失败',
          body: '网络连接失败，请检查网络设置。',
        };
      },
      {
        controlSchema: z.object({
          content: z.string().default('网络异常提醒通知'),
        }),
      },
    );
  },
  {
    payloadSchema: z.object({}),
  },
);
