import { workflow } from '@novu/framework';
import { z } from 'zod';

const payloadSchema = z.object({
  tableName: z.string().describe('桌台名称'),
  customMessage: z.string().describe('自定义文案'),
});

export const serviceBellReminderWorkflow = workflow(
  'service-bell-reminder-workflow',
  async ({ step, payload }) => {
    await step.inApp(
      'send-service-bell-reminder',
      () => {
        return {
          subject: `桌台【${payload.tableName}】：${payload.customMessage}`,
          body: '请及时处理服务请求。',
        };
      },
      {
        controlSchema: z.object({
          content: z.string().default('服务铃提醒通知'),
        }),
      },
    );
  },
  {
    payloadSchema,
  },
);
